#
# spec file for package wineasio (Version 0.1)


BuildRequires: wine-devel asiosdk e2fsprogs-devel

Name:         wineasio
URL:          http://www.jacklab.net
License:      LGPL
Group:        Sound
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Autoreqprov:  on
Version:      0.7.3
Release:      %mkrel 1
Summary:      wine ASIO driver for JACK
Source:       wineasio-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: wine-devel 
BuildRequires: asiosdk 
BuildRequires: e2fsprogs-devel
Requires:     wine

%description
WineASIO is a ASIO driver for wine, allowing to run Windows 
audio applications with low latency (as JACK clients).

NOTE:
After installation, you'll have to call "regsvr32 wineasio.dll"
(as your audio user, not root) to register the driver.


Authors:
--------
original code: Robert Reif, posted to the wine mailinglist
modified by: Ralf Beck (musical_snake@gmx.de)

%prep
%setup

%build
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
cp /usr/include/asio/asio.h .
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/wine
install -D -m 755 -s wineasio.dll.so $RPM_BUILD_ROOT%{_libdir}/wine
cp README.TXT $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/wine/*
%doc %{_docdir}/%{name}

%changelog
* Sun Jan 27 2008 Torbjorn Turpeinen (Thac) <tobbe@djura.org> 0.7.3-1
- 0.5

* Sun Sep 30 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5-1
- 0.5

* Sat Apr 28 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.1-1
- Rebuild for pclos2007

* Wed Apr 18 2007 - edogawa@aon.at
- cleanup, correct BuildRequires: and License: tag

* Sun Apr 15 2007 - edogawa@aon.at
- initial package, wineasio 0.1
